{ enableSSL, ... }:

with import ../../../../modules/tailscale/default.nix;
let host = "tegakituesday.com"; in {
  services.nginx.virtualHosts."www.${host}" = {
    forceSSL = enableSSL;
    enableACME = enableSSL;
    globalRedirect = host;
  };
  services.nginx.virtualHosts."${host}" = {
    forceSSL = enableSSL;
    enableACME = enableSSL;
    extraConfig = ''
      error_page 502 /502.html;
    '';
    locations = {
      "/".proxyPass = "http://elnuhub:3335";
      "/502.html".root = "${./502}";
      "/mascot.png".root = "${./502}";
      "/missing.min.css".root = "${../shared/502}";
    };
  };
}