{ lib, ... }: {
  # This file was populated at runtime with the networking
  # details gathered from the active system.
  networking = {
    nameservers = [ "8.8.8.8"
 ];
    defaultGateway = "146.190.144.1";
    defaultGateway6 = {
      address = "";
      interface = "eth0";
    };
    dhcpcd.enable = false;
    usePredictableInterfaceNames = lib.mkForce false;
    interfaces = {
      eth0 = {
        ipv4.addresses = [
          { address="146.190.153.94"; prefixLength=20; }
{ address="10.48.0.5"; prefixLength=16; }
        ];
        ipv6.addresses = [
          { address="fe80::20db:d1ff:fe51:4175"; prefixLength=64; }
        ];
        ipv4.routes = [ { address = "146.190.144.1"; prefixLength = 32; } ];
        # adding route /128... 'ip route add  /128   dev eth0' failed: Error: any valid prefix is expected rather than "/128".
        #ipv6.routes = [ { address = ""; prefixLength = 128; } ];
      };
      
    };
  };
  services.udev.extraRules = ''
    ATTR{address}=="22:db:d1:51:41:75", NAME="eth0"
    ATTR{address}=="82:4e:3d:d2:3a:9a", NAME="eth1"
  '';
}